import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { connect } from 'dva';
import MyTopCard from '../../components/CardViewOne';
import {
  Cell,
  Select,
  Page,
  Badge,
  CellBody,
} from 'react-weui';
//import styles
import 'weui';
import 'react-weui/build/packages/react-weui.css';
import styles from '../IndexPage.css';
import MyBodyCard from "../../components/CardViewTwo";
class HomePage extends React.Component{
  componentWillMount() {
    const { dispatch } = this.props;
    dispatch({ type: 'home/getSummaryData',payload: { pNumber:'浦东新区' }});
  }
  render(){
    return (
      <Page>
        <span className={styles.myspan}>
          <Select  data={[
            {
              value: '杨浦区',
              label: '杨浦区'
            },
            {
              value: '浦东新区',
              label: '浦东新区'
            },
            {
              value: '徐汇区',
              label: '徐汇区'
            }
          ]}/>
        </span>
        <MyTopCard/>
        <MyBodyCard data={this.props.home.SummaryData}/>
      </Page>
    );
  };
}

HomePage.propTypes = {
  home: PropTypes.object,
};
// 指定订阅数据，这里关联了 login
function mapStateToProps({ home }) {
  return {home};
}
export default connect(mapStateToProps)(HomePage);
