import React from 'react';
import styles from './CardViewStyles.less';
import {
  Badge,
  Card,
  WhiteSpace,
  Flex,
  WingBlank,
} from 'antd-mobile';
class MyTopCard extends React.Component{
  render(){
    return(
      <div>
        <WhiteSpace size="lg" />
        <Card full>
          <Card.Header
            title={
              <div width="30px">
                <span style={ {"padding-right":"15px",color:'#38c5b8'}}>总证数</span>
                <span >18162</span>
              </div>
            }
          />
          <Card.Body>
              <Flex>
                <Flex.Item><Badge className={styles.mybadge} text={
                    <div>
                      <span style={ {"padding-right":"15px"}}>证均成本</span>
                      <span >3544940.25</span>
                    </div>
                }/></Flex.Item>
                <Flex.Item><Badge text={
                  <div>
                    <span style={ {"padding-right":"15px"}}>证均成本</span>
                    <span >3544940.25</span>
                  </div>
                }/></Flex.Item>
              </Flex>
              <Flex>
                <Flex.Item><Badge text={
                  <div>
                    <span style={ {"padding-right":"15px"}}>安置房套数</span>
                    <span >16955</span>
                  </div>
                }/></Flex.Item>
                <Flex.Item><Badge text={
                  <div>
                    <span style={ {"padding-right":"15px"}}>面积成本</span>
                    <span >16955</span>
                  </div>
                }/></Flex.Item>
              </Flex>
              <Flex>
                <Flex.Item><Badge text={
                  <div>
                    <span style={ {"padding-right":"15px"}}>产权调换比例</span>
                    <span >50.35%</span>
                  </div>
                }/></Flex.Item>
                <Flex.Item><Badge text={
                  <div>
                    <span style={ {"padding-right":"15px"}}>货币补偿比例</span>
                    <span >3544940.25</span>
                  </div>
                }/></Flex.Item>
              </Flex>
            <WhiteSpace size="lg" />
          </Card.Body>
        </Card>
      </div>
    );
  }
}
export default MyTopCard;
