import React from 'react';
import styles from './CardViewTwoStyles.less';
import {
  Badge,
  Card,
  WhiteSpace,
  Flex,
  WingBlank,
} from 'antd-mobile';
class MyBodyCard extends React.Component{
  render(){
    const arrayData=this.props.data;
    console.info(arrayData);
    if(arrayData!==null){
      return(
        <div className={styles.myDiv}>
          {
            arrayData.map((item)=>{
              return (
                <div><WhiteSpace size="lg" />
                  <Card full>
                    <Card.Header
                      title={
                        <div>
                          <div className={styles.left}>{item.index}</div>
                          <div className={styles.center}><span style={ {color:'#38c5b8'}}>{item.JDName}</span></div>
                        </div>
                      }
                      extra={<Badge  className={styles.mybadge} text={
                        <div>
                          <span style={ {"padding-right":"2px"}}>总证数</span>
                          <span >{item.xiangMuZongHuShu}</span>
                        </div>
                      }
                      />}
                    />
                    <Card.Body>
                      <Flex>
                        <Flex.Item><Badge className={styles.mybadgetwo} text={
                          <div>
                            <span style={ {"padding-right":"15px"}}>已签约总数</span>
                            <span >{item.yiQianYueHuShu}</span>
                          </div>
                        }/></Flex.Item>
                        <Flex.Item><Badge text={
                          <div>
                            <span style={ {"padding-right":"15px"}}>签约比例</span>
                            <span >3544940.25</span>
                          </div>
                        }/></Flex.Item>
                      </Flex>
                      <Flex>
                        <Flex.Item><Badge text={
                          <div>
                            <span style={ {"padding-right":"15px"}}>产权调换比例</span>
                            <span >16955</span>
                          </div>
                        }/></Flex.Item>
                        <Flex.Item><Badge text={
                          <div>
                            <span style={ {"padding-right":"15px"}}>货币补偿比例</span>
                            <span >16955</span>
                          </div>
                        }/></Flex.Item>
                      </Flex>
                      <WhiteSpace size="lg" />
                    </Card.Body>
                  </Card>
                </div>
              );
            })
          }
        </div>
      );
    }else{
      return(
        <div className={styles.myDiv}>
        </div>
      );
    }
  }
}
export default MyBodyCard;
